Imports System.Web.Optimization

Public Class Header
	Inherits System.Web.UI.UserControl

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

		If _PathAdminRelative.Contains("localhost") Then
			phMeta.Controls.Add(New LiteralControl("<link href=""/Styles/Compiled/bootstrap.css"" type=""text/css"" rel=""stylesheet"" />"))
			phMeta.Controls.Add(New LiteralControl("<link href=""/Styles/Compiled/sweetalert.css"" type=""text/css"" rel=""stylesheet"" />"))
			phMeta.Controls.Add(New LiteralControl("<link href=""/Styles/Compiled/slicknav.css"" type=""text/css"" rel=""stylesheet"" />"))
			phMeta.Controls.Add(New LiteralControl("<link href=""/Styles/Compiled/Document.css"" type=""text/css"" rel=""stylesheet"" />"))
		Else
			phMeta.Controls.Add(New LiteralControl("<link href=""/Styles/Style.min.css"" type=""text/css"" rel=""stylesheet"" />"))
		End If

		Dim x As HtmlString = Scripts.Render("~/Scripts/js")
		phSkripty.Controls.Add(New LiteralControl(x.ToHtmlString))

	End Sub

	Sub _Titulek(text As String)

		phTitle.Controls.Clear()
		If text = "" Then
            text = "Administrace Tsunami"
        End If
		phTitle.Controls.Add(New LiteralControl(_PrevestTextZBezpecneho((text))))

	End Sub

End Class